Omit the id to create a team. key is the stable handle a ticket router addresses the team by and must be unique in the workspace. Supplying members REPLACES the full member list; a member with isLead set is preferred over the rest of the team when no routing rule matches.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid^[a-z0-9][a-z0-9-]*$1 <= length <= 601 <= length <= 200"custom""it" | "accounting" | "marketing" | "sales" | "support" | "facility" | "custom"false[]items <= 500application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/teams" \ -H "Content-Type: application/json" \ -d '{ "key": "string", "name": "string" }'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key": "string",
"name": "string",
"kind": "it",
"description": "string",
"color": "string",
"isArchived": true,
"members": [
{
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string",
"isLead": true
}
],
"routingRuleCount": 9007199254740991,
"createdAt": "string",
"updatedAt": "string"
}"string""string""string""string"